Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530818 - dev-java/log4j-2.12.1 released
Summary: dev-java/log4j-2.12.1 released
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Java (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 699106
  Show dependency tree
 
Reported: 2014-11-27 05:19 UTC by Arfrever Frehtes Taifersar Arahesis
Modified: 2019-11-01 21:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Arfrever Frehtes Taifersar Arahesis 2015-03-04 15:55:32 UTC
dev-java/log4j-2.2 was released on 2015-02-27.
http://mail-archives.apache.org/mod_mbox/logging-log4j-dev/201502.mbox/%3C66919C30-7862-418F-8A5F-0553D0D422CD%40dslextreme.com%3E
Comment 2 Patrice Clement gentoo-dev 2015-04-04 00:46:47 UTC
+*log4j-1.2.17 (04 Apr 2015)
+
+  04 Apr 2015; Patrice Clement <monsieurp@gentoo.org> +log4j-1.2.17.ebuild:
+  Version and EAPI 5 bump. Fix bug 530818.
Comment 3 Patrice Clement gentoo-dev 2015-04-04 00:49:11 UTC
From version 2.x onwards, log4j requires Apache Maven:

# pwd
/var/tmp/portage/dev-java/log4j-2.2/work/apache-log4j-2.2-src
# cat BUILDING.txt 
Building Log4j 2
  
To build Log4j 2, you need a JDK implementation version 1.6 or greater, and Apache Maven.
Note that building the site requires Maven 3.0.5, while everything else works
fine with any version of Maven 3.

:/

How do we work around this constraint?
Comment 4 James Le Cuirot gentoo-dev 2015-04-04 08:11:31 UTC
I already have v2 in hand. Watch this space.
Comment 5 Patrice Clement gentoo-dev 2015-04-14 20:56:15 UTC
The space has been watched and James hasn't updated this bug yet.
Comment 6 Patrice Clement gentoo-dev 2015-07-11 13:41:33 UTC
(In reply to James Le Cuirot from comment #4)
> I already have v2 in hand. Watch this space.
up
Comment 8 Nico R. 2019-11-01 17:27:19 UTC
Availability of log4j-2.12.1 has been announced on 2019-08-10 <https://mail-archives.apache.org/mod_mbox/logging-dev/201908.mbox/%3cB41F174F-433A-483E-8E98-1A1E1707C4C4@dslextreme.com%3e>.